Bug 221388 - Yum prints information messages even when told not to
Yum prints information messages even when told not to
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum-metadata-parser (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-04 06:43 EST by Simon Andrews
Modified: 2014-01-21 17:56 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-04 08:38:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Andrews 2007-01-04 06:43:14 EST
Description of problem:
I'm running yum in a cron job and therefore want it to be silent unless
something goes wrong.  However I regularly get reams of output from the program
despite setting -d 0 and -e 0 in the command line options. This is a typical
cron report:

From root@xxx  Fri Dec 15 05:33:21 2006
Date: Fri, 15 Dec 2006 05:33:20 GMT
From: root@xxx (Cron Daemon)
To: root@xxx
Subject: Cron <root@xxx> run-parts /etc/cron.daily
Content-Type: text/plain; charset=UTF-8
Auto-Submitted: auto-generated
X-Cron-Env: <SHELL=/bin/bash>
X-Cron-Env: <PATH=/sbin:/bin:/usr/sbin:/usr/bin>
X-Cron-Env: <MAILTO=root>
X-Cron-Env: <HOME=/>
X-Cron-Env: <LOGNAME=root>
X-Cron-Env: <USER=root>

/etc/cron.daily/yum.cron:

** Message: sqlite cache needs updating, reading in metadata
** Message: sqlite cache needs updating, reading in metadata
  Updating  : libselinux                   ####################### [ 1/22]
  Updating  : coreutils                    ####################### [ 2/22]
  Updating  : libselinux-python            ####################### [ 3/22]
  Updating  : libnotify                    ####################### [ 4/22]
  Updating  : ORBit2                       ####################### [ 5/22]
  Updating  : irqbalance                   ####################### [ 6/22]
  Updating  : policycoreutils              ####################### [ 7/22]
  Updating  : cpuspeed                     ####################### [ 8/22]
  Updating  : rsh                          ####################### [ 9/22]
  Updating  : gdb                          ####################### [10/22]
  Updating  : nfs-utils                    ####################### [11/22]

The yum command being run is:

/usr/bin/yum -R 120 -e 0 -d 0 -y update


Version-Release number of selected component (if applicable):
yum-3.0.1-2.fc6

How reproducible:
Always


Steps to Reproduce:
1. Run yum with -d 0 -e 0 to silence non-crital output
  
Actual results:
See non critical output appear.


Expected results:
Silence, unless something bad happens
Comment 1 Jeremy Katz 2007-01-04 08:38:08 EST
This is fixed upstream and should be fixed with 3.0.3

Note You need to log in before you can comment on or make changes to this bug.